<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    okText="保存"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭"
    footer=""
  >
    <!-- 邱东宝 增加modal按钮调整到顶部 1-->
    <template>
      <div style="position: absolute;left: 10%;top:13px;">
        <a-button v-if="!disableSubmit"  @click="handleOk" type="primary" style="margin-bottom: 0;margin-right: 8px">保存</a-button>
        <a-button @click="handleCancel">
          关闭
        </a-button>
      </div>
    </template>
    <template>
      <div style="position: absolute;left: 10%;top:13px;">
        <a-button v-if="!disableSubmit"  @click="handleOk1" type="primary" style="margin-bottom: 0;margin-right: 8px">保存</a-button>
        <a-button @click="handleCancel">
          关闭
        </a-button>
      </div>
    </template>
    <!--邱东宝 增加modal按钮调整到顶部 end-->
    <apply-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit" />
    <qc-ssgqzysytdqk-form ref="realForm" @ok="submitCallback" :disabled="disa" :upload="uploads"></qc-ssgqzysytdqk-form>
  </j-modal>
</template>

<script>

  import QcSsgqzysytdqkForm from './QcSsgqzysytdqkForm'
  export default {
    name: 'QcSsgqzysytdqkModal',
    components: {
      QcSsgqzysytdqkForm
    },
    data () {
      return {
        title:'',
        width:1500,
        visible: false,
        disableSubmit: false,
        uploads:true,
        disa:false
      }
    },
    methods: {
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      edit1 (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
          this.disa=true
        this.$refs.realForm.submitForm();
          this.disa=false
      },
      handleOk1 () {
        this.disa=true
        this.$refs.realForm.submitForm1();
        this.disa=false
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>